/*
 *   xmcd - Motif(tm) CD Audio Player
 *
 *   Copyright (C) 1993  Ti Kan
 *   E-mail: ti@amb.org
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
#ifndef __CDLIB_H__
#define __CDLIB_H__

#ifndef LINT
static char *_cdlib_h_ident_ = "@(#)cdlib.h	1.37 93/09/28";
#endif

/* Function prototypes */
bool_t		cdlib_check_disc(curstat_t *);
void		cdlib_lock(curstat_t *, bool_t);
void		cdlib_repeat(curstat_t *, bool_t);
void		cdlib_shuffle(curstat_t *, bool_t);
void		cdlib_load_eject(curstat_t *);
void		cdlib_time(curstat_t *);
void		cdlib_ab(curstat_t *);
void		cdlib_sample(curstat_t *);
void		cdlib_level(curstat_t *, byte_t, bool_t);
void		cdlib_play_pause(curstat_t *);
void		cdlib_stop(curstat_t *, bool_t);
void		cdlib_prevtrk(curstat_t *);
void		cdlib_nexttrk(curstat_t *);
void		cdlib_previdx(curstat_t *);
void		cdlib_nextidx(curstat_t *);
void		cdlib_rew(curstat_t *, bool_t);
void		cdlib_ff(curstat_t *, bool_t);
void		cdlib_mute_on(curstat_t *);
void		cdlib_mute_off(curstat_t *);
void		cdlib_playprog(curstat_t *);
void		cdlib_init(curstat_t *);
void		cdlib_start(curstat_t *);
void		cdlib_icon(curstat_t *, bool_t);
void		cdlib_halt(curstat_t *);
char		*cdlib_mode(void);
char		*cdlib_vers(void);

#endif	/* __CDLIB_H__ */

