/*
 *   xmcd - Motif(tm) CD Audio Player
 *
 *   Copyright (C) 1993  Ti Kan
 *   E-mail: ti@amb.org
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *   This software module contains code that interfaces xmcd to
 *   the HP-UX Release 9.0 operating system.  The name "HP" and "hpux"
 *   are used here for identification purposes.  This software and
 *   its author are not affiliated with the Hewlett-Packard Company.
 */
#ifndef __LIB_HPUX_H__
#define __LIB_HPUX_H__

#if defined(hpux) && !defined(DEMO_ONLY)

#ifndef LINT
static char *_lib_hpux_h_ident_ = "@(#)lib_hpux.h	1.4 93/09/28";
#endif

#include <sys/scsi.h>

#ifndef OSI_MODULE
#define OSI_MODULE
#endif


/* Public function prototypes */
bool_t	pthru_send(byte_t, word32_t, byte_t *, word32_t, byte_t, word32_t,
		byte_t, byte_t, byte_t);
bool_t	pthru_open(char *);
void	pthru_close(void);
char	*pthru_vers(void);


#endif	/* hpux && !DEMO_ONLY */

#endif	/* __LIB_HPUX_H__ */

